Форум Flasher.ru

Форум Flasher.ru (http://www.flasher.ru/forum/index.php)
-   Flash Приложения: AIR, Zinc и тд. (http://www.flasher.ru/forum/forumdisplay.php?f=94)
-   -   помогите с FD (http://www.flasher.ru/forum/showthread.php?t=213729)

Dmitriy154 24.12.2016 22:38

помогите с FD
 
Помогите дураку, несколько дней мучаюсь, при запуске PackageApp.bat (apk debug) выскакивает ошибка:
"APK setup creation failed. ... verify AIR SDK target version in application.xml"

В моем файле я прописал нужную версию AIR SDK:
<application xmlns="http://ns.adobe.com/air/application/24.0">

В свою очередь скачал AIR SDK 24 и распаковал в папку с flex с заменой. Все равно пишет ошибку версии AIR SDK.

Вот скрины:
http://klass1234.ru/1.png

и

http://klass1234.ru/2.png

caseyryan 25.12.2016 11:13

в FD эти штуки захардкожены в конфиги, тебе надо самому дописать.
Конфиги лежать в Program Files (x86)\FlashDevelop\Settings\Platforms\AS3\air.xml и Program Files (x86)\FlashDevelop\Settings\Platforms\AS3\airmobile.xml

так же помимо програм файлз, они есть в C:\Users\Имя пользователя\AppData\Local\FlashDevelop\Settings\Platforms\AS3

Открывай эти файлы, и дописывай туда нужную версию платформы. Когда откроешь, разберешься что делать

Не забудь потом перезапустить FD

Dmitriy154 25.12.2016 15:19

Большое тебе спасибо, CaseyRyan, который раз выручаешь/

Внес изменения по пути C:\Users\Имя пользователя\AppData\Local\FlashDevelop\Settings\Platforms\AS3

вроде как изменилось, но все равно ругается:
http://klass1234.ru/4.png

и

http://klass1234.ru/3.png

caseyryan 25.12.2016 18:53

Какой путь прописан у тебя в SetupSDK.bat в переменной FLEX_SDK?
Там должен быть путь к 24му эйру.
И еще вопрос, а версию swf ты какую указал в конфиге, когда прописывал туда версию среды 24.0?
И вообще, какая у тебя версия FlashDevelop?

Dmitriy154 25.12.2016 21:47

в SetupSDK.bat при создании нового пакета указывается set FLEX_SDK=C:\Users\???\AppData\Local\FlashDevelop\Apps\ascsdk\24.0.0

т.е. имя компьютера у меня указаны кириллицей, может в этом проблема?
но даже если вручную указать путь на скачанный flex, проблема не уходит.

в конфиге я указывал <version value="24.0" swf-version="35" />
версия FD 5.2.0.3

caseyryan 26.12.2016 06:25

Даже не знаю что у тебя там не так. Проверяй все файлы еще раз. У меня все работает.
И скачанные либы никогда не клади в такие "спорные" папки. Под спорными я имею в виду те, которые содержат не латинские буквы в названии, пробелы или разные спецсимволы. С ними часто бывают проблемы.
Я бы вообще посоветовал забить на привычку называть учетки кириллицей, раз уж решил стать программистом, ровно как и использовать пути содержащие пробелы

Попробуй переложить AIR куда-нибудь в C:\AIR\AIR_24
Я обычно все важные пути называю таким простым способом
Но скорее всего, в данном случае, у тебя проблема в чем-то другом

Dmitriy154 26.12.2016 10:37

Еще раз спасибо за совет!

Добавлено через 7 часов 45 минут
Попробовал на другом компе - все получилось.
У меня еще вопрос: мне показалось намного проще создавать и отлаживать apk с помощью flash professional, подскажите в чем преимущество flashdevelop при создании air mobile flex проектов?

GeneralVimes 26.12.2016 22:51

Flash Develop со старлингом работает. Ну и если у кого flash нелицензионный, можно с чистой совестью FD+Air+Starling использовать

Dmitriy154 26.12.2016 23:11

понятно

caseyryan 27.12.2016 09:56

Цитата:

Сообщение от GeneralVimes (Сообщение 1198312)
Flash Develop со старлингом работает. Ну и если у кого flash нелицензионный, можно с чистой совестью FD+Air+Starling использовать

А при чем тут старлинг? Adobe Flash тоже работает со старлингом.
FD просто в качестве редактора кода намного лучше Adobe Flash (Animate).


Часовой пояс GMT +4, время: 21:15.

Copyright © 1999-2008 Flasher.ru. All rights reserved.
Работает на vBulletin®. Copyright ©2000 - 2020, Jelsoft Enterprises Ltd. Перевод: zCarot
Администрация сайта не несёт ответственности за любую предоставленную посетителями информацию. Подробнее см. Правила.